part of seached_list;

class _SearchController extends LoadMoreBaseController {
  List<Map<String, Object>> get dataList {
    final filteredDataFieldName = getFilterFieldName(getData());

    return getData()[filteredDataFieldName] ?? <Map<String, Object>>[];
  }

  _SearchController(this.loadSearchedData);

  final SearchedDataLoader? loadSearchedData;

  @override
  Future<Map<String, List<Map<String, Object>>>?> loadData() async {
    return loadSearchedData?.call(_searchedExcecute);
  }

  Future<Map<String, List<Map<String, Object>>>?> _searchedExcecute(
    String searchedQuery, {
    Map<String, Object?>? params,
  }) async {
    return await execute(searchedQuery, params: params);
  }

  @override
  get rowsOfPage => 15;
}
