import 'package:wowit/methods.dart';

class BaseModel {
  const BaseModel(this.data);

  final Map<String, Object> data;

  int get id => Methods.getInt(data, 'ID');

  bool get visible => Methods.getBool(data, 'visible');

  bool get visibleHome => Methods.getBool(data, 'visibleHome');

  bool get visibleHightLight => Methods.getBool(data, 'visibleHightlight');

  bool get visibleHOT => Methods.getBool(data, 'visibleHOT');

  double get priority => Methods.getDouble(data, 'priority');
}
